> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get CampingEquipmentSpecification entities.

- Product: Camping equipment specifications
- Section: CampingEquipmentSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/camping_equipment_specifications/`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

### `accommodation`

Type: `number`  
Required: no  

### `archived`

Type: `boolean`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.campingEquipmentSpecifications.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/camping_equipment_specifications/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "description": "description",
    "locale": "locale",
    "maxWidth": "maxWidth",
    "maxLength": "maxLength",
    "maxHeight": "maxHeight",
    "maxWeight": "maxWeight",
    "archived": "archived"
  }
]
```

##### Schema

###### CampingEquipmentSpecification[]

Type: `CampingEquipmentSpecification[]`  

###### CampingEquipmentSpecification

Type: `CampingEquipmentSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `maxWidth`

Type: `string`  
Required: no  

###### `maxLength`

Type: `string`  
Required: no  

###### `maxHeight`

Type: `string`  
Required: no  

###### `maxWeight`

Type: `string`  
Required: no  

###### `archived`

Type: `string`  
Format: `date-time`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/camping-equipment-specifications/methods/list/)
- [TypeScript Markdown](/camping-equipment-specifications/methods/list.md?lang=typescript)
- [curl Markdown](/camping-equipment-specifications/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/camping-equipment-specifications/llms.txt)
- [snapshot llms.txt](/camping-equipment-specifications/llms.txt)
